html{
    width:100%;
    height:100%;
    padding:0;
    overflow: hidden;
}

body{
    width:100%;
    height:100%;
    padding:0;
    margin:0;
    overflow: hidden;
    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none;   /* Chrome/Safari/Opera */
    -khtml-user-select: none;    /* Konqueror */
    -moz-user-select: none;      /* Firefox */
    -ms-user-select: none;       /* Internet Explorer/Edge */
    user-select: none;           /* Non-prefixed version, currently
                                  not supported by any browser */
}

#threeContainer{
    width:100%;
    height:100%;
    position: absolute;
    top:0;
    left:0;
}

#flythroughSlider{
    position: absolute;
    width: 30px;
    right: 0;
    /*top: 50%;*/
    /*bottom: 50%;*/
    /*height:180px;*/
    padding:0;
    margin:auto 0;
    display: none;
    text-align: center;
}

#flythroughSlider>div{
    margin: 50px 0;
}

#layerUp{
    position: absolute;
    top: 0;
    right: 6px;
}

#layerDown{
    position: absolute;
    bottom: 0;
    right: 6px;
}

.layerSelector{
    font-size: 16px;
    color: #555!important;
}
.red{
    color:red;
}

#saveAsFileName{
    width: 400px;
}

#profileUI>div{
    background: rgba(240,240,240,0.4);
}
.lightgrey{
    background: rgba(220,220,220,0.4)!important;
}

[class^=fui-], [class*=fui-]{
        width: 100%;
    display: inline-block;
    /*color: black;*/
}

.deleteProfile>span{
    width: 30px;
}

#fileSelector, #fileInfo, #profileUI, #bounds{
    display: none;
}

#controlsLeft{
    position: absolute;
    top:0;
    left:0;
    width: 450px;
    padding:20px 20px;
    height:100%;
    background: rgba(255,255,255,0.7);
    overflow: auto;
}

.sliderInput{
    float:right;
    display: inline-block;
    margin-bottom:15px;
}
.sliderContainer{
    display: block;
    margin-bottom:15px;
}

.indent{
    padding-left:20px;
}

a, a:hover, a:visited, a:focus{
    color:#8cbaed;
}

a.btn:visited, a.btn:focus{
    color: white;
}

#controls .radio{
    height: 42px;
    display: inline-block;
    width: 100%;
}

input.form-control {
    width: 80px;
    display: inline-block;
}

.radioSlider{
    display: inline-block;
    float:right;
}

.floatRight{
    float:right;
}

.modal-body li{
    margin-bottom:10px;
}


.slider.slider-horizontal {
    width: 200px;
    margin: 0;
    padding: 20px;
    top: 10px;
}

.slider.slider-vertical {
    height: 300px;
    margin: 0;
    padding: 20px;
}

.flat-slider.ui-corner-all,
.flat-slider .ui-corner-all {
  border-radius: 0;
}

.flat-slider.ui-slider {
  border: 0;
  background: #ffffff;
  border-radius: 7px;
}

.flat-slider.ui-slider-horizontal {
  height: 6px;
}

.flat-slider.ui-slider-vertical {
  width: 6px;
    height:300px;
}

.flat-slider .ui-slider-handle {
  width: 20px;
  height: 20px;
  background: #666;
  border-radius: 50%;
  border: none;
  cursor: pointer;
}

.flat-slider.ui-slider-vertical .ui-slider-handle{
    background: #8cbaed;
}

.flat-slider.ui-slider-horizontal .ui-slider-handle {
  top: 50%;
  margin-top: -10px;
    opacity: 0.8;
}

.flat-slider.ui-slider-vertical .ui-slider-handle {
  left: 50%;
  margin-left: -10px;
    opacity: 0.8;
}

.flat-slider .ui-slider-handle:hover {
  opacity: 0.7;
}

.flat-slider .ui-slider-handle:focus { outline: none; }


.flat-slider{
    vertical-align: middle;
    display: inline-block;
    width: 130px;
    position: relative;
    margin: 10px 10px 10px 10px;
    /*padding: 4px 0;*/
}

.modal-content{
    border-radius: 0;
}
.modal-body{
    padding: 20px 35px;
    padding-top: 40px;
}

span.modal-close{
    display: none;
}
.titleSpan{
    display: inline-block;
    width:100%;
    margin-top:15px;
}
.form-control:focus{
    border-color: #666;
}

.checkbox input.custom-checkbox[type="checkbox"]:checked + .icons .icon-checked, .radio input.custom-checkbox[type="checkbox"]:checked + .icons .icon-checked, .checkbox input.custom-radio[type="radio"]:checked + .icons .icon-checked, .radio input.custom-radio[type="radio"]:checked + .icons .icon-checked {
    color: #666;
}

.radio .icon-checked{
    transition-duration: 0s;
}

.radio .icon-unchecked{
    transition-duration: 0s;
}

#controls .checkbox input.custom-radio[type="radio"]:checked + .icons, #controls .radio input.custom-radio[type="radio"]:checked + .icons {
    margin-top:9px;
}
#controls .radio .icons {
    margin-top:9px;
}

.sliderInput>.flat-slider{
   width: 132px;
}

.label-slider{
    font-size: 15px;
}

.extraSpace{
    display: inline-block;
    width:100%;
    height:15px;
}

.flipped
{
    direction: rtl;
}
.flipped>div
{
    direction: ltr;
}

.paddingBottom{
    margin-bottom: 20px;
}